VERSION 5.00
Object = "{5FE18260-A373-11D7-8368-00C1261173F0}#1.0#0"; "CLIPMANAGERXTRIAL.OCX"
Begin VB.Form fMain 
   Caption         =   "ClipManagerX - Image Clipboard Demo"
   ClientHeight    =   6750
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   9960
   LinkTopic       =   "Form1"
   ScaleHeight     =   6750
   ScaleWidth      =   9960
   StartUpPosition =   3  'Windows Default
   Begin ClipManagerXTrial.ClipMan ClipMan1 
      Height          =   480
      Left            =   120
      TabIndex        =   0
      Top             =   6240
      Width           =   480
      Enabled         =   0   'False
      MaxItems        =   32
      AllFormats      =   -1  'True
      DoubleBuffered  =   0   'False
      Object.Visible         =   -1  'True
      Cursor          =   0
      HelpType        =   0
      HelpKeyword     =   ""
      DelayMode       =   0
   End
   Begin VB.CommandButton cmdClear 
      Caption         =   "Clear"
      Height          =   495
      Left            =   120
      TabIndex        =   7
      Top             =   4080
      Width           =   1095
   End
   Begin VB.CommandButton cmdSelect 
      Caption         =   "Select"
      Height          =   495
      Left            =   120
      TabIndex        =   5
      Top             =   3360
      Width           =   1095
   End
   Begin VB.CommandButton cmdPrev 
      Caption         =   "Previous"
      Height          =   495
      Left            =   120
      TabIndex        =   4
      Top             =   2640
      Width           =   1095
   End
   Begin VB.CommandButton cmdNext 
      Caption         =   "Next"
      Height          =   495
      Left            =   120
      TabIndex        =   3
      Top             =   1920
      Width           =   1095
   End
   Begin VB.CommandButton cmdStop 
      Caption         =   "Stop"
      Height          =   495
      Left            =   120
      TabIndex        =   2
      Top             =   1200
      Width           =   1095
   End
   Begin VB.CommandButton cmdStart 
      Caption         =   "Start"
      Height          =   495
      Left            =   120
      TabIndex        =   1
      Top             =   480
      Width           =   1095
   End
   Begin VB.Label lblImgNo 
      Height          =   255
      Left            =   120
      TabIndex        =   6
      Top             =   5160
      Width           =   1095
   End
   Begin VB.Image Image1 
      Height          =   6495
      Left            =   1320
      Top             =   120
      Width           =   8415
   End
End
Attribute VB_Name = "fMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private ImgNo As Integer
Private Sub GetImage()

If ClipMan1.HasFormat(ImgNo, 2) Then
  Image1.Picture = ClipMan1.BMPPicture(ImgNo)
ElseIf ClipMan1.HasFormat(ImgNo, 14) Then
  Image1.Picture = ClipMan1.EMFPicture(ImgNo)
Else
  Image1.Picture = Nothing
End If
lblImgNo.Caption = "Image No.: " & Str(ImgNo)

End Sub

Private Sub cmdClear_Click()

ClipMan1.Clear
ImgNo = 0
Image1.Picture = Nothing
lblImgNo.Caption = "Image No.: " & Str(ImgNo)

End Sub

Private Sub cmdNext_Click()

ImgNo = ImgNo + 1
If ImgNo > ClipMan1.Count Then
  ImgNo = 1
End If
If ClipMan1.Count = 0 Then
  ImgNo = 0
End If
GetImage

End Sub

Private Sub cmdPrev_Click()

ImgNo = ImgNo - 1
If ImgNo < 1 Then
  ImgNo = ClipMan1.Count
End If
GetImage

End Sub

Private Sub cmdSelect_Click()

If ClipMan1.HasFormat(ImgNo, 2) Then
  ClipMan1.CopyToClipboard ImgNo, 2
ElseIf ClipMan1.HasFormat(ImgNo, 14) Then
  ClipMan1.CopyToClipboard ImgNo, 14
End If

End Sub

Private Sub cmdStart_Click()

With ClipMan1
  .AllFormats = False
  .AddFormat cfBitmap
  .AddFormat cfEnhMetafile
  .MaxItems = 20
  .Activate
End With

End Sub

Private Sub cmdStop_Click()

ClipMan1.Deactivate

End Sub
